Bug 820416 - CVE-2012-3478 rssh: possible circumvention of rssh restrictions [epel-all]
CVE-2012-3478 rssh: possible circumvention of rssh restrictions [epel-all]
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: rssh (Show other bugs)
el6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-3478
  Show dependency treegraph
 
Reported: 2012-05-09 16:48 EDT by Vincent Danen
Modified: 2014-10-27 07:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: rssh-2.3.4-1.el5
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-17 13:32:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-05-09 16:48:55 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=820414

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2012-05-09 16:51:13 EDT
There is no upstream fix, and the upstream author has no intention of fixing the problem, or in continuing to maintain the software, as noted in the vulnerability report.

I think that, unless we want to invest in finding an appropriate fix and maintaining this ourselves, we should remove rssh from Fedora and EPEL, due to upstream's disinterest in maintaining it.
Comment 2 eduda 2012-06-11 14:38:47 EDT
Appears a patch was created based on mailing list?

On Tue, May 15, 2012 at 10:46:04AM -0500, Derek Martin wrote:
> On Tue, May 08, 2012 at 12:24:52PM -0500, Derek Martin wrote:
> > Henrik Erkkonen has discovered that, through clever manipulation of 
> > environment variables on the ssh command line, it is possible to 
> > circumvent rssh.  As far as I can tell, there is no way to effect a 
> > root compromise, except of course if the root account is the one 
> > you're attempting to protect with rssh...
> > 
> > This project is old, and I have no interest in continuing to 
> > maintain it.
> 
> Actually, I have a patch for this.  I'll be publishing it later this 
> week, when I can find some time to do it.

I haven't had the time to work up a proper release for this issue, but I do have a patch, which is attatched.  Hopefully I'll get some time to do a release this weekend.

--
Derek D. Martin
http://www.pizzashack.org/
GPG Key ID: 0x81CFE75D
Comment 3 Tomas Hoger 2013-01-07 07:24:43 EST
Any progress with updating EPEL packages?
Comment 4 Fedora Update System 2014-09-30 14:19:49 EDT
rssh-2.3.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rssh-2.3.4-1.el6
Comment 5 Fedora Update System 2014-09-30 14:20:01 EDT
rssh-2.3.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/rssh-2.3.4-1.el5
Comment 6 Fedora Update System 2014-10-01 13:18:04 EDT
Package rssh-2.3.4-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing rssh-2.3.4-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3024/rssh-2.3.4-1.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-10-17 13:32:47 EDT
rssh-2.3.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-10-17 13:37:08 EDT
rssh-2.3.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.